/* ========================= */
/* HERO */
/* ========================= */
.hero {
  position: relative;
  height: 100vh;
  overflow: hidden;
}

/* SLIDES */
.bg {
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0;
  transform: scale(1);
  transition: opacity 1.5s ease, transform 8s ease;
}

.bg.active {
  opacity: 1;
  transform: scale(1.05);
}

/* OVERLAY */
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.4);
}

/* CONTENT */
.content {
  position: relative;
  z-index: 2;
  color: white;
  text-align: center;
  top: 65%;
  transform: translateY(-50%);
  padding: 0 20px;
}

.hero-title {
  font-size: 2rem;
  margin-top: 10px;
  font-weight: 600;
}

.content p {
  font-size: 1.2rem;
}

/* CTA */
.content a {
  display: inline-block;
  margin-top: 20px;
  padding: 12px 25px;
  background: red;
  color: white;
  text-decoration: none;
  border-radius: 3px;
  transition: 0.3s;
}

.content a:hover {
  background: darkred;
}

/* ========================= */
/* RESPONSIVE */
/* ========================= */
@media (max-width: 768px) {

  .hero-title {
    font-size: 1.8rem;
  }

  .content p {
    font-size: 1rem;
  }

  .content a {
    padding: 10px 20px;
  }
}

@media (max-width: 480px) {

  .hero-title {
    font-size: 1.5rem;
    width: 100%;
  }

  .content p {
    font-size: 0.9rem;
  }
}